ChinqIT VerifyChinqIT Verify

Send a one-time password

Generates and sends a 6-digit OTP by SMS (default), WhatsApp, or email. The OTP is valid for 10 minutes; verify it with POST /api/v2/check.

POST
/api/v2/code

Generates and sends a 6-digit OTP by SMS (default), WhatsApp, or email. The OTP is valid for 10 minutes; verify it with POST /api/v2/check.

Authorization

X-API-Key<token>

API key authenticating the request.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/code" \  -H "Content-Type: application/json" \  -d '{    "phoneNumber": "string"  }'
{  "success": true,  "messageId": "string",  "expiresIn": 0,  "cost": 0,  "parts": 0,  "pricePerMessage": 0,  "encoding": "string",  "length": 0}